Create checkout session

POST/billing/v1/checkout

Create a Stripe hosted checkout session

Authorization<token>

In: header

Request Body

required
application/json
{
  "$ref": "#/components/schemas/internal_billing.checkoutBody",
  "$ref-value": {
    "properties": {
      "cancel_url": {
        "type": "string"
      },
      "stripe_price_id": {
        "type": "string"
      },
      "success_url": {
        "type": "string"
      }
    },
    "type": "object"
  }
}

Response Body

200application/json

OK

type: unknown

{
  "$ref": "#/components/schemas/billingv1.HostedCheckoutSessionResponse",
  "$ref-value": {
    "properties": {
      "amount": {
        "type": "number"
      },
      "currency": {
        "type": "string"
      },
      "session_id": {
        "type": "string"
      },
      "session_url": {
        "type": "string"
      },
      "status": {
        "type": "string"
      }
    },
    "type": "object"
  }
}
curl -X POST "https://api.rixl.com/billing/v1/checkout" \
  -H "Content-Type: application/json" \
  -d '{}'

OK

application/json

{
  "$ref": "#/components/schemas/billingv1.HostedCheckoutSessionResponse",
  "$ref-value": {
    "properties": {
      "amount": {
        "type": "number"
      },
      "currency": {
        "type": "string"
      },
      "session_id": {
        "type": "string"
      },
      "session_url": {
        "type": "string"
      },
      "status": {
        "type": "string"
      }
    },
    "type": "object"
  }
}